Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class StateViewTable.ViewTable

    java.lang.Object
      ix.iface.util.KeyValueTable
          ix.iface.util.SortingKVTable
              ix.ip2.StateViewTable.ViewTable

Direct Known Subclasses:
  PropertyViewTable

Enclosing class:
  StateViewTable

    static class StateViewTable.ViewTable

extends SortingKVTable

Nested Class Summary
`protected class` | `StateViewTable.ViewTable.StatePopupMenu`

Nested classes/interfaces inherited from class ix.iface.util.SortingKVTable
`SortingKVTable.KeySortMouseListener, SortingKVTable.KeySortPopupMenu, SortingKVTable.SortMenu`

Nested classes/interfaces inherited from class ix.iface.util.KeyValueTable
`KeyValueTable.LexicographicComparator, KeyValueTable.MostRecentFirstComparator, KeyValueTable.MostRecentLastComparator, KeyValueTable.PatternObjectComparator, KeyValueTable.RowPopupMenu, KeyValueTable.ViewJTable, KeyValueTable.ViewTableModel, KeyValueTable.ViewTableMouseListener`

Field Summary
`(package private) StateViewTable` | `stateViewer`

Fields inherited from class ix.iface.util.KeyValueTable
`keyList, keySortComparator, keyTimestamps, model, mouseListener, table, timestamp, viewedMap`

Constructor Summary
`StateViewTable.ViewTable(StateViewTable stateViewer)`
`StateViewTable.ViewTable(StateViewTable stateViewer, java.lang.String keyColName, java.lang.String valColName)`

Method Summary
`protected void` | `doPopupAction(java.awt.event.ActionEvent event, int row, java.lang.Object key)` Called by the row popup menu to intepret any action command selected from the menu.
`protected java.util.Set` | `getMentionedObjects(java.lang.Object item)`
`protected java.util.Set` | `getRowObjects(int row)`
`protected java.util.Set` | `getRowObjects(java.lang.Object key, java.lang.Object value)`
`protected boolean` | `isObjectName(java.lang.Object name)`
`protected java.lang.String` | `keyToString(java.lang.Object key)`
`protected KeyValueTable.RowPopupMenu` | `makePopupMenu()` Factory method.

Methods inherited from class ix.iface.util.KeyValueTable
`deleteEntry, deleteEntry, getJTable, getKeySortComparator, getValue, getViewedMap, insertKey, keyTimestamp, recordNewValue, recordNewValues, reset, setKeySortComparator, timestampKey, valueToString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stateViewer

    StateViewTable stateViewer

Constructor Detail

### StateViewTable.ViewTable

    StateViewTable.ViewTable(StateViewTable stateViewer)

### StateViewTable.ViewTable

    StateViewTable.ViewTable(StateViewTable stateViewer,
                             java.lang.String keyColName,
                             java.lang.String valColName)

Method Detail

### keyToString

    protected java.lang.String keyToString(java.lang.Object key)

  Overrides:
    `keyToString` in class `KeyValueTable`

### makePopupMenu

    protected KeyValueTable.RowPopupMenu makePopupMenu()

  Description copied from class: `KeyValueTable`
  Factory method.

  Specified by:
    `makePopupMenu` in class `KeyValueTable`

### getRowObjects

    protected java.util.Set getRowObjects(int row)

### getRowObjects

    protected java.util.Set getRowObjects(java.lang.Object key,
                                          java.lang.Object value)

### getMentionedObjects

    protected java.util.Set getMentionedObjects(java.lang.Object item)

### isObjectName

    protected boolean isObjectName(java.lang.Object name)

### doPopupAction

    protected void doPopupAction(java.awt.event.ActionEvent event,
                                 int row,
                                 java.lang.Object key)

  Description copied from class: `KeyValueTable`
  Called by the row popup menu to intepret any action command selected from the menu.

  Specified by:
    `doPopupAction` in class `KeyValueTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD